function out = LMPP_LRP
out{1} = @init;
out{2} = @fun_eval;
out{3} = @jacobian;
out{4} = @jacobianp;
out{5} = @hessians;
out{6} = @hessiansp;
out{7} = [];
out{8} = [];
out{9} = [];

% --------------------------------------------------------------------------
function dydt = fun_eval(t,kmrgd,A, a0, a1, a10, a11, a12, a2, a3, a5, a6, a7, a8, mu, a4, a9, B, b0, b1, b2, b3, b4, c0, c1, c3, c4, d0, d1, e0, e2, e3, e4, e5, e6, e7, f0, f1, f2, f3, g0, g1, g2, h0, h1, i0, j0, j1, mu_ika)
dydt=[((a0+a1*A+a2*kmrgd(1)+a3*kmrgd(3)+a5*kmrgd(6)+a6*kmrgd(1)*kmrgd(6)+a7*kmrgd(7)+a8*kmrgd(3)*kmrgd(7)+a10*kmrgd(10)+a11*kmrgd(10)*kmrgd(1)+a12*kmrgd(10)*kmrgd(6))/(1+a1*A+a2*kmrgd(1)+a3*kmrgd(3)+a4*kmrgd(2)*kmrgd(3)+a5*kmrgd(6)+a6*kmrgd(1)*kmrgd(6)+a7*kmrgd(7)+a8*kmrgd(3)*kmrgd(7)+a9*kmrgd(2)*kmrgd(7)+a10*kmrgd(10)+a11*kmrgd(10)*kmrgd(1)+a12*kmrgd(10)*kmrgd(6)))-mu*kmrgd(1);
 ((b0+b1*B+b2*kmrgd(2))/(1+b1*B+b2*kmrgd(2)+b3*kmrgd(2)*kmrgd(1)+b4*kmrgd(1)*kmrgd(3)))-mu*kmrgd(2);
 ((c0+c1*kmrgd(1)+c3*kmrgd(10)+c4*kmrgd(1)*kmrgd(10))/(1+c1*kmrgd(1)+c3*kmrgd(10)+c4*kmrgd(1)*kmrgd(10)))-mu*kmrgd(3);
 ((d0+d1*kmrgd(3))/(1+d1*kmrgd(3)))-mu*kmrgd(4);
 ((e0+e3*kmrgd(7)+e4*kmrgd(9)+e5*kmrgd(7)*kmrgd(9))/(1+e2*kmrgd(3)+e3*kmrgd(7)+e4*kmrgd(9)+e5*kmrgd(7)*kmrgd(9)+e6*kmrgd(7)*kmrgd(3)+e7*kmrgd(9)*kmrgd(3)))-mu*kmrgd(5);
 ((f0+f1*kmrgd(5)+f2*kmrgd(7)+f3*kmrgd(5)*kmrgd(7))/(1+f1*kmrgd(5)+f2*kmrgd(7)+f3*kmrgd(5)*kmrgd(7)))-mu*kmrgd(6);
 ((g0+g1*kmrgd(7))/(1+g1*kmrgd(7)+g2*kmrgd(7)*kmrgd(8)))-mu*kmrgd(7);
 ((h0+h1*kmrgd(9))/(1+h1*kmrgd(9)))-mu*kmrgd(8);
 i0-mu_ika*kmrgd(9);
 ((j0+j1*kmrgd(1))/(1+j1*kmrgd(1)))-mu*kmrgd(10);];

% --------------------------------------------------------------------------
function [tspan,y0,options] = init
handles = feval(LMPP_LRP);
y0=[0,0,0,0,0,0,0,0,0,0];
options = odeset('Jacobian',handles(3),'JacobianP',handles(4),'Hessians',handles(5),'HessiansP',handles(6));
tspan = [0 10];

% --------------------------------------------------------------------------
function jac = jacobian(t,kmrgd,A, a0, a1, a10, a11, a12, a2, a3, a5, a6, a7, a8, mu, a4, a9, B, b0, b1, b2, b3, b4, c0, c1, c3, c4, d0, d1, e0, e2, e3, e4, e5, e6, e7, f0, f1, f2, f3, g0, g1, g2, h0, h1, i0, j0, j1, mu_ika)
jac=[ (a2 + kmrgd(10)*a11 + kmrgd(6)*a6)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - mu - ((a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , -((kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (a3 + kmrgd(7)*a8)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - ((a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (a5 + kmrgd(10)*a12 + kmrgd(1)*a6)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - ((a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (a7 + kmrgd(3)*a8)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - ((a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (a10 + kmrgd(1)*a11 + kmrgd(6)*a12)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - ((a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; -((kmrgd(3)*b4 + kmrgd(2)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , b2/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1) - mu - ((b2 + kmrgd(1)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , -(kmrgd(1)*b4*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; (c1 + kmrgd(10)*c4)/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1) - ((c1 + kmrgd(10)*c4)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 , 0 , -mu , 0 , 0 , 0 , 0 , 0 , 0 , (c3 + kmrgd(1)*c4)/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1) - ((c3 + kmrgd(1)*c4)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 ; 0 , 0 , d1/(kmrgd(3)*d1 + 1) - (d1*(d0 + kmrgd(3)*d1))/(kmrgd(3)*d1 + 1)^2 , -mu , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -((e2 + kmrgd(9)*e7 + kmrgd(7)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , -mu , 0 , (e3 + kmrgd(9)*e5)/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1) - ((e3 + kmrgd(9)*e5 + kmrgd(3)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , (e4 + kmrgd(7)*e5)/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1) - ((e4 + kmrgd(3)*e7 + kmrgd(7)*e5)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 ; 0 , 0 , 0 , 0 , (f1 + kmrgd(7)*f3)/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1) - ((f1 + kmrgd(7)*f3)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 , -mu , (f2 + kmrgd(5)*f3)/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1) - ((f2 + kmrgd(5)*f3)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , g1/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1) - mu - ((g1 + kmrgd(8)*g2)*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 , -(kmrgd(7)*g2*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , -mu , h1/(kmrgd(9)*h1 + 1) - (h1*(h0 + kmrgd(9)*h1))/(kmrgd(9)*h1 + 1)^2 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -mu_ika , 0 ; j1/(kmrgd(1)*j1 + 1) - (j1*(j0 + kmrgd(1)*j1))/(kmrgd(1)*j1 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -mu ];
% --------------------------------------------------------------------------
function jacp = jacobianp(t,kmrgd,A, a0, a1, a10, a11, a12, a2, a3, a5, a6, a7, a8, mu, a4, a9, B, b0, b1, b2, b3, b4, c0, c1, c3, c4, d0, d1, e0, e2, e3, e4, e5, e6, e7, f0, f1, f2, f3, g0, g1, g2, h0, h1, i0, j0, j1, mu_ika)
jacp=[ a1/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (a1*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 1/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) , A/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (A*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , kmrgd(10)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(10)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (kmrgd(10)*kmrgd(1))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(10)*kmrgd(1)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (kmrgd(10)*kmrgd(6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(10)*kmrgd(6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , kmrgd(1)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(1)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , kmrgd(3)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(3)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , kmrgd(6)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (kmrgd(1)*kmrgd(6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(1)*kmrgd(6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , kmrgd(7)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(7)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (kmrgd(3)*kmrgd(7))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(3)*kmrgd(7)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , -kmrgd(1) , -(kmrgd(3)*kmrgd(2)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , -(kmrgd(7)*kmrgd(2)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -kmrgd(2) , 0 , 0 , b1/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1) - (b1*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , 1/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1) , B/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1) - (B*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , kmrgd(2)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1) - (kmrgd(2)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , -(kmrgd(1)*kmrgd(2)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , -(kmrgd(1)*kmrgd(3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -kmrgd(3) , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 1/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1) , kmrgd(1)/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1) - (kmrgd(1)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 , kmrgd(10)/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1) - (kmrgd(10)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 , (kmrgd(10)*kmrgd(1))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1) - (kmrgd(10)*kmrgd(1)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -kmrgd(4) , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 1/(kmrgd(3)*d1 + 1) , kmrgd(3)/(kmrgd(3)*d1 + 1) - (kmrgd(3)*(d0 + kmrgd(3)*d1))/(kmrgd(3)*d1 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -kmrgd(5) , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 1/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1) , -(kmrgd(3)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , kmrgd(7)/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1) - (kmrgd(7)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , kmrgd(9)/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1) - (kmrgd(9)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , (kmrgd(9)*kmrgd(7))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1) - (kmrgd(9)*kmrgd(7)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , -(kmrgd(3)*kmrgd(7)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , -(kmrgd(9)*kmrgd(3)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -kmrgd(6) , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 1/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1) , kmrgd(5)/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1) - (kmrgd(5)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 , kmrgd(7)/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1) - (kmrgd(7)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 , (kmrgd(5)*kmrgd(7))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1) - (kmrgd(5)*kmrgd(7)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -kmrgd(7) , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 1/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1) , kmrgd(7)/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1) - (kmrgd(7)*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 , -(kmrgd(8)*kmrgd(7)*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -kmrgd(8) , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 1/(kmrgd(9)*h1 + 1) , kmrgd(9)/(kmrgd(9)*h1 + 1) - (kmrgd(9)*(h0 + kmrgd(9)*h1))/(kmrgd(9)*h1 + 1)^2 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 1 , 0 , 0 , -kmrgd(9) ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -kmrgd(10) , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 1/(kmrgd(1)*j1 + 1) , kmrgd(1)/(kmrgd(1)*j1 + 1) - (kmrgd(1)*(j0 + kmrgd(1)*j1))/(kmrgd(1)*j1 + 1)^2 , 0 ];
% --------------------------------------------------------------------------
function hess = hessians(t,kmrgd,A, a0, a1, a10, a11, a12, a2, a3, a5, a6, a7, a8, mu, a4, a9, B, b0, b1, b2, b3, b4, c0, c1, c3, c4, d0, d1, e0, e2, e3, e4, e5, e6, e7, f0, f1, f2, f3, g0, g1, g2, h0, h1, i0, j0, j1, mu_ika)
hess1=[ (2*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)^2*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)^2)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((kmrgd(3)*a4 + kmrgd(7)*a9)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a3 + kmrgd(7)*a8)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , a6/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (a6*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , (2*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a7 + kmrgd(3)*a8)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , a11/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (2*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (a11*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 ; (2*(kmrgd(3)*b4 + kmrgd(2)*b3)^2*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 , (2*(kmrgd(3)*b4 + kmrgd(2)*b3)*(b2 + kmrgd(1)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (b2*(kmrgd(3)*b4 + kmrgd(2)*b3))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 - (b3*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*kmrgd(1)*b4*(kmrgd(3)*b4 + kmrgd(2)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (b4*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; (2*(c1 + kmrgd(10)*c4)^2*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^3 - (2*(c1 + kmrgd(10)*c4)^2)/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , c4/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1) - (2*(c1 + kmrgd(10)*c4)*(c3 + kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 - (c4*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 + (2*(c1 + kmrgd(10)*c4)*(c3 + kmrgd(1)*c4)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^3 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; (2*j1^2*(j0 + kmrgd(1)*j1))/(kmrgd(1)*j1 + 1)^3 - (2*j1^2)/(kmrgd(1)*j1 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess2=[ (2*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((kmrgd(3)*a4 + kmrgd(7)*a9)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*(kmrgd(3)*a4 + kmrgd(7)*a9)^2*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , (2*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((kmrgd(3)*a4 + kmrgd(7)*a9)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (a4*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((kmrgd(3)*a4 + kmrgd(7)*a9)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((kmrgd(3)*a4 + kmrgd(7)*a9)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (a9*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((kmrgd(3)*a4 + kmrgd(7)*a9)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; (2*(kmrgd(3)*b4 + kmrgd(2)*b3)*(b2 + kmrgd(1)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (b2*(kmrgd(3)*b4 + kmrgd(2)*b3))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 - (b3*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*(b2 + kmrgd(1)*b3)^2*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (2*b2*(b2 + kmrgd(1)*b3))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*kmrgd(1)*b4*(b2 + kmrgd(1)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (kmrgd(1)*b2*b4)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess3=[ (2*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a3 + kmrgd(7)*a8)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((kmrgd(3)*a4 + kmrgd(7)*a9)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (a4*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)^2*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*(a3 + kmrgd(7)*a8)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a3 + kmrgd(7)*a8)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , a8/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (a8*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a7 + kmrgd(3)*a8)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a3 + kmrgd(7)*a8)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , 0 , 0 , (2*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a3 + kmrgd(7)*a8)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; (2*kmrgd(1)*b4*(kmrgd(3)*b4 + kmrgd(2)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (b4*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*kmrgd(1)*b4*(b2 + kmrgd(1)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (kmrgd(1)*b2*b4)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*kmrgd(1)^2*b4^2*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , (2*d1^2*(d0 + kmrgd(3)*d1))/(kmrgd(3)*d1 + 1)^3 - (2*d1^2)/(kmrgd(3)*d1 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , (2*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6)^2*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 , 0 , 0 , 0 , (2*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - ((e3 + kmrgd(9)*e5)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (e6*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , (2*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - ((e4 + kmrgd(7)*e5)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (e7*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess4=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess5=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , (2*(f1 + kmrgd(7)*f3)^2*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^3 - (2*(f1 + kmrgd(7)*f3)^2)/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 , 0 , f3/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1) - (f3*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 - (2*(f2 + kmrgd(5)*f3)*(f1 + kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 + (2*(f2 + kmrgd(5)*f3)*(f1 + kmrgd(7)*f3)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^3 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess6=[ a6/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (a6*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , (2*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((kmrgd(3)*a4 + kmrgd(7)*a9)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a3 + kmrgd(7)*a8)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)^2*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)^2)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a7 + kmrgd(3)*a8)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , a12/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (a12*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess7=[ (2*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a7 + kmrgd(3)*a8)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((kmrgd(3)*a4 + kmrgd(7)*a9)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (a9*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , a8/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (a8*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a7 + kmrgd(3)*a8)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a3 + kmrgd(7)*a8)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , 0 , 0 , (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a7 + kmrgd(3)*a8)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)^2*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*(a7 + kmrgd(3)*a8)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a7 + kmrgd(3)*a8)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , (2*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - ((e3 + kmrgd(9)*e5)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (e6*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , 0 , 0 , (2*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6)^2*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (2*(e3 + kmrgd(9)*e5)*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , e5/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1) - (e5*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - ((e4 + kmrgd(7)*e5)*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - ((e3 + kmrgd(9)*e5)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 + (2*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 , 0 ; 0 , 0 , 0 , 0 , f3/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1) - (f3*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 - (2*(f2 + kmrgd(5)*f3)*(f1 + kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 + (2*(f2 + kmrgd(5)*f3)*(f1 + kmrgd(7)*f3)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^3 , 0 , (2*(f2 + kmrgd(5)*f3)^2*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^3 - (2*(f2 + kmrgd(5)*f3)^2)/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , (2*(g1 + kmrgd(8)*g2)^2*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^3 - (2*g1*(g1 + kmrgd(8)*g2))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 , (2*kmrgd(7)*g2*(g1 + kmrgd(8)*g2)*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^3 - (kmrgd(7)*g1*g2)/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 - (g2*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess8=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , (2*kmrgd(7)*g2*(g1 + kmrgd(8)*g2)*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^3 - (kmrgd(7)*g1*g2)/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 - (g2*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 , (2*kmrgd(7)^2*g2^2*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^3 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess9=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , (2*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - ((e4 + kmrgd(7)*e5)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (e7*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , 0 , 0 , e5/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1) - (e5*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - ((e4 + kmrgd(7)*e5)*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - ((e3 + kmrgd(9)*e5)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 + (2*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 , 0 , (2*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5)^2*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (2*(e4 + kmrgd(7)*e5)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , (2*h1^2*(h0 + kmrgd(9)*h1))/(kmrgd(9)*h1 + 1)^3 - (2*h1^2)/(kmrgd(9)*h1 + 1)^2 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess10=[ a11/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (2*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (a11*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , (2*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((kmrgd(3)*a4 + kmrgd(7)*a9)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a3 + kmrgd(7)*a8)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , a12/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (a12*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , (2*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - ((a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - ((a7 + kmrgd(3)*a8)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)^2*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)^2)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; c4/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1) - (2*(c1 + kmrgd(10)*c4)*(c3 + kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 - (c4*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 + (2*(c1 + kmrgd(10)*c4)*(c3 + kmrgd(1)*c4)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^3 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , (2*(c3 + kmrgd(1)*c4)^2*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^3 - (2*(c3 + kmrgd(1)*c4)^2)/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess(:,:,1) =hess1;
hess(:,:,2) =hess2;
hess(:,:,3) =hess3;
hess(:,:,4) =hess4;
hess(:,:,5) =hess5;
hess(:,:,6) =hess6;
hess(:,:,7) =hess7;
hess(:,:,8) =hess8;
hess(:,:,9) =hess9;
hess(:,:,10) =hess10;
% --------------------------------------------------------------------------
function hessp = hessiansp(t,kmrgd,A, a0, a1, a10, a11, a12, a2, a3, a5, a6, a7, a8, mu, a4, a9, B, b0, b1, b2, b3, b4, c0, c1, c3, c4, d0, d1, e0, e2, e3, e4, e5, e6, e7, f0, f1, f2, f3, g0, g1, g2, h0, h1, i0, j0, j1, mu_ika)
hessp1=[ (2*a1*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*a1*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*a1*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (a1*(kmrgd(3)*a4 + kmrgd(7)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*a1*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (a1*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (a1*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*a1*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*a1*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*a1*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (a1*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (a1*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*a1*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*a1*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp2=[ -(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , -(kmrgd(3)*a4 + kmrgd(7)*a9)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , -(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , -(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , -(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , -(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp3=[ (2*A*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*A*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*A*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (A*(kmrgd(3)*a4 + kmrgd(7)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*A*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (A*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (A*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*A*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*A*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*A*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (A*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (A*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*A*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*A*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp4=[ (2*kmrgd(10)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(10)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(10)*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(10)*(kmrgd(3)*a4 + kmrgd(7)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(10)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(10)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(10)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*kmrgd(10)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(10)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(10)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(10)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(10)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , 1/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (2*kmrgd(10)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(10)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp5=[ kmrgd(10)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(10)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (2*kmrgd(10)*kmrgd(1)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(10)*kmrgd(1)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , (2*kmrgd(10)*kmrgd(1)*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(10)*kmrgd(1)*(kmrgd(3)*a4 + kmrgd(7)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(10)*kmrgd(1)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(10)*kmrgd(1)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(10)*kmrgd(1)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*kmrgd(10)*kmrgd(1)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(10)*kmrgd(1)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(10)*kmrgd(1)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(10)*kmrgd(1)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(10)*kmrgd(1)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , kmrgd(1)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(1)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (2*kmrgd(10)*kmrgd(1)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(10)*kmrgd(1)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp6=[ (2*kmrgd(10)*kmrgd(6)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(10)*kmrgd(6)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(10)*kmrgd(6)*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(10)*kmrgd(6)*(kmrgd(3)*a4 + kmrgd(7)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(10)*kmrgd(6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(10)*kmrgd(6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(10)*kmrgd(6)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , kmrgd(10)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(10)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (2*kmrgd(10)*kmrgd(6)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(10)*kmrgd(6)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , (2*kmrgd(10)*kmrgd(6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(10)*kmrgd(6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(10)*kmrgd(6)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , kmrgd(6)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (2*kmrgd(10)*kmrgd(6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(10)*kmrgd(6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp7=[ 1/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (2*kmrgd(1)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(1)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , (2*kmrgd(1)*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(1)*(kmrgd(3)*a4 + kmrgd(7)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(1)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(1)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(1)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*kmrgd(1)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(1)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(1)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(1)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(1)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*kmrgd(1)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(1)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp8=[ (2*kmrgd(3)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(3)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(3)*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(3)*(kmrgd(3)*a4 + kmrgd(7)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 1/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(3)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(3)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(3)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , 0 , 0 , (2*kmrgd(3)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(3)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(3)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(3)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(3)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*kmrgd(3)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(3)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp9=[ (2*kmrgd(6)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(6)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(6)*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(6)*(kmrgd(3)*a4 + kmrgd(7)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(6)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , 1/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (2*kmrgd(6)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(6)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , (2*kmrgd(6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(6)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*kmrgd(6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp10=[ kmrgd(6)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (2*kmrgd(1)*kmrgd(6)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(1)*kmrgd(6)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , (2*kmrgd(1)*kmrgd(6)*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(1)*kmrgd(6)*(kmrgd(3)*a4 + kmrgd(7)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(1)*kmrgd(6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(1)*kmrgd(6)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(1)*kmrgd(6)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , kmrgd(1)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(1)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (2*kmrgd(1)*kmrgd(6)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(1)*kmrgd(6)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , (2*kmrgd(1)*kmrgd(6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(1)*kmrgd(6)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(1)*kmrgd(6)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*kmrgd(1)*kmrgd(6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(1)*kmrgd(6)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp11=[ (2*kmrgd(7)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(7)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(7)*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(7)*(kmrgd(3)*a4 + kmrgd(7)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(7)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(7)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(7)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*kmrgd(7)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(7)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 1/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(7)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(7)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(7)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , 0 , 0 , (2*kmrgd(7)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(7)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp12=[ (2*kmrgd(3)*kmrgd(7)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(3)*kmrgd(7)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(3)*kmrgd(7)*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(3)*kmrgd(7)*(kmrgd(3)*a4 + kmrgd(7)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , kmrgd(7)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(7)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(3)*kmrgd(7)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(3)*kmrgd(7)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(3)*kmrgd(7)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , 0 , 0 , (2*kmrgd(3)*kmrgd(7)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(3)*kmrgd(7)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , kmrgd(3)/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1) - (kmrgd(3)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(3)*kmrgd(7)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(3)*kmrgd(7)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 + (2*kmrgd(3)*kmrgd(7)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 , 0 , 0 , (2*kmrgd(3)*kmrgd(7)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (2*kmrgd(3)*kmrgd(7)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp13=[ -1 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , -1 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -1 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , -1 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , -1 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , -1 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , -1 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , -1 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -1 ];
hessp14=[ (2*kmrgd(3)*kmrgd(2)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(3)*kmrgd(2)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(3)*kmrgd(2)*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(3)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(3)*kmrgd(2)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(3)*kmrgd(2)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(2)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*kmrgd(3)*kmrgd(2)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(3)*kmrgd(2)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(3)*kmrgd(2)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(3)*kmrgd(2)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*kmrgd(3)*kmrgd(2)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(3)*kmrgd(2)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp15=[ (2*kmrgd(7)*kmrgd(2)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(7)*kmrgd(2)*(a2 + kmrgd(10)*a11 + kmrgd(6)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(7)*kmrgd(2)*(kmrgd(3)*a4 + kmrgd(7)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(7)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(7)*kmrgd(2)*(a3 + kmrgd(7)*a8 + kmrgd(2)*a4)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(7)*kmrgd(2)*(a3 + kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*kmrgd(7)*kmrgd(2)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(7)*kmrgd(2)*(a5 + kmrgd(10)*a12 + kmrgd(1)*a6))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , (2*kmrgd(7)*kmrgd(2)*(a7 + kmrgd(3)*a8 + kmrgd(2)*a9)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(7)*kmrgd(2)*(a7 + kmrgd(3)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 - (kmrgd(2)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 , 0 , 0 , (2*kmrgd(7)*kmrgd(2)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12)*(a0 + A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^3 - (kmrgd(7)*kmrgd(2)*(a10 + kmrgd(1)*a11 + kmrgd(6)*a12))/(A*a1 + kmrgd(10)*a10 + kmrgd(1)*a2 + kmrgd(6)*a5 + kmrgd(3)*a3 + kmrgd(7)*a7 + kmrgd(10)*kmrgd(1)*a11 + kmrgd(10)*kmrgd(6)*a12 + kmrgd(1)*kmrgd(6)*a6 + kmrgd(3)*kmrgd(7)*a8 + kmrgd(3)*kmrgd(2)*a4 + kmrgd(7)*kmrgd(2)*a9 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp16=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; (2*b1*(kmrgd(3)*b4 + kmrgd(2)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (b1*(kmrgd(3)*b4 + kmrgd(2)*b3))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*b1*(b2 + kmrgd(1)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (b1*b2)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 - (b1*(b2 + kmrgd(1)*b3))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*kmrgd(1)*b1*b4*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (kmrgd(1)*b1*b4)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp17=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; -(kmrgd(3)*b4 + kmrgd(2)*b3)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , -(b2 + kmrgd(1)*b3)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , -(kmrgd(1)*b4)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp18=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; (2*B*(kmrgd(3)*b4 + kmrgd(2)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (B*(kmrgd(3)*b4 + kmrgd(2)*b3))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*B*(b2 + kmrgd(1)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (B*b2)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 - (B*(b2 + kmrgd(1)*b3))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*B*kmrgd(1)*b4*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (B*kmrgd(1)*b4)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp19=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; (2*kmrgd(2)*(kmrgd(3)*b4 + kmrgd(2)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (kmrgd(2)*(kmrgd(3)*b4 + kmrgd(2)*b3))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , 1/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1) - (b0 + B*b1 + kmrgd(2)*b2)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 - (kmrgd(2)*(b2 + kmrgd(1)*b3))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 - (kmrgd(2)*b2)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 + (2*kmrgd(2)*(b2 + kmrgd(1)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 , (2*kmrgd(1)*kmrgd(2)*b4*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (kmrgd(1)*kmrgd(2)*b4)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp20=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; (2*kmrgd(1)*kmrgd(2)*(kmrgd(3)*b4 + kmrgd(2)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (kmrgd(2)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*kmrgd(1)*kmrgd(2)*(b2 + kmrgd(1)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (kmrgd(1)*kmrgd(2)*b2)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 - (kmrgd(1)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*kmrgd(1)^2*kmrgd(2)*b4*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp21=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; (2*kmrgd(1)*kmrgd(3)*(kmrgd(3)*b4 + kmrgd(2)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (kmrgd(3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*kmrgd(1)*kmrgd(3)*(b2 + kmrgd(1)*b3)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (kmrgd(1)*kmrgd(3)*b2)/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , (2*kmrgd(1)^2*kmrgd(3)*b4*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^3 - (kmrgd(1)*(b0 + B*b1 + kmrgd(2)*b2))/(B*b1 + kmrgd(2)*b2 + kmrgd(1)*kmrgd(3)*b4 + kmrgd(1)*kmrgd(2)*b3 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp22=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; -(c1 + kmrgd(10)*c4)/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -(c3 + kmrgd(1)*c4)/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp23=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 1/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1) - (c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4)/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 - (2*kmrgd(1)*(c1 + kmrgd(10)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 + (2*kmrgd(1)*(c1 + kmrgd(10)*c4)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^3 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , (2*kmrgd(1)*(c3 + kmrgd(1)*c4)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^3 - (2*kmrgd(1)*(c3 + kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp24=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; (2*kmrgd(10)*(c1 + kmrgd(10)*c4)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^3 - (2*kmrgd(10)*(c1 + kmrgd(10)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 1/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1) - (c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4)/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 - (2*kmrgd(10)*(c3 + kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 + (2*kmrgd(10)*(c3 + kmrgd(1)*c4)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^3 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp25=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; kmrgd(10)/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1) - (kmrgd(10)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 - (2*kmrgd(10)*kmrgd(1)*(c1 + kmrgd(10)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 + (2*kmrgd(10)*kmrgd(1)*(c1 + kmrgd(10)*c4)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^3 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , kmrgd(1)/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1) - (kmrgd(1)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 - (2*kmrgd(10)*kmrgd(1)*(c3 + kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^2 + (2*kmrgd(10)*kmrgd(1)*(c3 + kmrgd(1)*c4)*(c0 + kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4))/(kmrgd(10)*c3 + kmrgd(1)*c1 + kmrgd(10)*kmrgd(1)*c4 + 1)^3 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp26=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -d1/(kmrgd(3)*d1 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp27=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 1/(kmrgd(3)*d1 + 1) - (d0 + kmrgd(3)*d1)/(kmrgd(3)*d1 + 1)^2 - (2*kmrgd(3)*d1)/(kmrgd(3)*d1 + 1)^2 + (2*kmrgd(3)*d1*(d0 + kmrgd(3)*d1))/(kmrgd(3)*d1 + 1)^3 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp28=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -(e2 + kmrgd(9)*e7 + kmrgd(7)*e6)/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , 0 , 0 , -(e3 + kmrgd(9)*e5 + kmrgd(3)*e6)/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , -(e4 + kmrgd(3)*e7 + kmrgd(7)*e5)/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp29=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , (2*kmrgd(3)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5)/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , 0 , 0 , (2*kmrgd(3)*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(3)*(e3 + kmrgd(9)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , (2*kmrgd(3)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(3)*(e4 + kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp30=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , (2*kmrgd(7)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(7)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , 0 , 0 , 1/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1) - (e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5)/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (kmrgd(7)*(e3 + kmrgd(9)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (kmrgd(7)*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 + (2*kmrgd(7)*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 , 0 , (2*kmrgd(7)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(7)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (kmrgd(7)*(e4 + kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp31=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , (2*kmrgd(9)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(9)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , 0 , 0 , (2*kmrgd(9)*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(9)*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (kmrgd(9)*(e3 + kmrgd(9)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , 1/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1) - (e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5)/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (kmrgd(9)*(e4 + kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (kmrgd(9)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 + (2*kmrgd(9)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp32=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , (2*kmrgd(9)*kmrgd(7)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(9)*kmrgd(7)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , 0 , 0 , kmrgd(9)/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1) - (kmrgd(9)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (kmrgd(9)*kmrgd(7)*(e3 + kmrgd(9)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (kmrgd(9)*kmrgd(7)*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 + (2*kmrgd(9)*kmrgd(7)*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 , 0 , kmrgd(7)/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1) - (kmrgd(7)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (kmrgd(9)*kmrgd(7)*(e4 + kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (kmrgd(9)*kmrgd(7)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 + (2*kmrgd(9)*kmrgd(7)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp33=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , (2*kmrgd(3)*kmrgd(7)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(7)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , 0 , 0 , (2*kmrgd(3)*kmrgd(7)*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(3)*kmrgd(7)*(e3 + kmrgd(9)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (kmrgd(3)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , (2*kmrgd(3)*kmrgd(7)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(3)*kmrgd(7)*(e4 + kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp34=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , (2*kmrgd(9)*kmrgd(3)*(e2 + kmrgd(9)*e7 + kmrgd(7)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(9)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , 0 , 0 , (2*kmrgd(9)*kmrgd(3)*(e3 + kmrgd(9)*e5 + kmrgd(3)*e6)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(9)*kmrgd(3)*(e3 + kmrgd(9)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 , (2*kmrgd(9)*kmrgd(3)*(e4 + kmrgd(3)*e7 + kmrgd(7)*e5)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^3 - (kmrgd(9)*kmrgd(3)*(e4 + kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 - (kmrgd(3)*(e0 + kmrgd(9)*e4 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(7)*e5))/(kmrgd(9)*e4 + kmrgd(3)*e2 + kmrgd(7)*e3 + kmrgd(9)*kmrgd(3)*e7 + kmrgd(9)*kmrgd(7)*e5 + kmrgd(3)*kmrgd(7)*e6 + 1)^2 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp35=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , -(f1 + kmrgd(7)*f3)/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 , 0 , -(f2 + kmrgd(5)*f3)/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp36=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 1/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1) - (f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3)/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 - (2*kmrgd(5)*(f1 + kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 + (2*kmrgd(5)*(f1 + kmrgd(7)*f3)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^3 , 0 , (2*kmrgd(5)*(f2 + kmrgd(5)*f3)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^3 - (2*kmrgd(5)*(f2 + kmrgd(5)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp37=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , (2*kmrgd(7)*(f1 + kmrgd(7)*f3)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^3 - (2*kmrgd(7)*(f1 + kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 , 0 , 1/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1) - (f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3)/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 - (2*kmrgd(7)*(f2 + kmrgd(5)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 + (2*kmrgd(7)*(f2 + kmrgd(5)*f3)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^3 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp38=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , kmrgd(7)/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1) - (kmrgd(7)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 - (2*kmrgd(5)*kmrgd(7)*(f1 + kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 + (2*kmrgd(5)*kmrgd(7)*(f1 + kmrgd(7)*f3)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^3 , 0 , kmrgd(5)/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1) - (kmrgd(5)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 - (2*kmrgd(5)*kmrgd(7)*(f2 + kmrgd(5)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^2 + (2*kmrgd(5)*kmrgd(7)*(f2 + kmrgd(5)*f3)*(f0 + kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3))/(kmrgd(5)*f1 + kmrgd(7)*f2 + kmrgd(5)*kmrgd(7)*f3 + 1)^3 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp39=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , -(g1 + kmrgd(8)*g2)/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 , -(kmrgd(7)*g2)/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp40=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 1/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1) - (g0 + kmrgd(7)*g1)/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 - (kmrgd(7)*g1)/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 - (kmrgd(7)*(g1 + kmrgd(8)*g2))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 + (2*kmrgd(7)*(g1 + kmrgd(8)*g2)*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^3 , (2*kmrgd(7)^2*g2*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^3 - (kmrgd(7)^2*g2)/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp41=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , (2*kmrgd(8)*kmrgd(7)*(g1 + kmrgd(8)*g2)*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^3 - (kmrgd(8)*kmrgd(7)*g1)/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 - (kmrgd(8)*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 , (2*kmrgd(8)*kmrgd(7)^2*g2*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^3 - (kmrgd(7)*(g0 + kmrgd(7)*g1))/(kmrgd(7)*g1 + kmrgd(8)*kmrgd(7)*g2 + 1)^2 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp42=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -h1/(kmrgd(9)*h1 + 1)^2 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp43=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 1/(kmrgd(9)*h1 + 1) - (h0 + kmrgd(9)*h1)/(kmrgd(9)*h1 + 1)^2 - (2*kmrgd(9)*h1)/(kmrgd(9)*h1 + 1)^2 + (2*kmrgd(9)*h1*(h0 + kmrgd(9)*h1))/(kmrgd(9)*h1 + 1)^3 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp44=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp45=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; -j1/(kmrgd(1)*j1 + 1)^2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp46=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 1/(kmrgd(1)*j1 + 1) - (j0 + kmrgd(1)*j1)/(kmrgd(1)*j1 + 1)^2 - (2*kmrgd(1)*j1)/(kmrgd(1)*j1 + 1)^2 + (2*kmrgd(1)*j1*(j0 + kmrgd(1)*j1))/(kmrgd(1)*j1 + 1)^3 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp47=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -1 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp(:,:,1) =hessp1;
hessp(:,:,2) =hessp2;
hessp(:,:,3) =hessp3;
hessp(:,:,4) =hessp4;
hessp(:,:,5) =hessp5;
hessp(:,:,6) =hessp6;
hessp(:,:,7) =hessp7;
hessp(:,:,8) =hessp8;
hessp(:,:,9) =hessp9;
hessp(:,:,10) =hessp10;
hessp(:,:,11) =hessp11;
hessp(:,:,12) =hessp12;
hessp(:,:,13) =hessp13;
hessp(:,:,14) =hessp14;
hessp(:,:,15) =hessp15;
hessp(:,:,16) =hessp16;
hessp(:,:,17) =hessp17;
hessp(:,:,18) =hessp18;
hessp(:,:,19) =hessp19;
hessp(:,:,20) =hessp20;
hessp(:,:,21) =hessp21;
hessp(:,:,22) =hessp22;
hessp(:,:,23) =hessp23;
hessp(:,:,24) =hessp24;
hessp(:,:,25) =hessp25;
hessp(:,:,26) =hessp26;
hessp(:,:,27) =hessp27;
hessp(:,:,28) =hessp28;
hessp(:,:,29) =hessp29;
hessp(:,:,30) =hessp30;
hessp(:,:,31) =hessp31;
hessp(:,:,32) =hessp32;
hessp(:,:,33) =hessp33;
hessp(:,:,34) =hessp34;
hessp(:,:,35) =hessp35;
hessp(:,:,36) =hessp36;
hessp(:,:,37) =hessp37;
hessp(:,:,38) =hessp38;
hessp(:,:,39) =hessp39;
hessp(:,:,40) =hessp40;
hessp(:,:,41) =hessp41;
hessp(:,:,42) =hessp42;
hessp(:,:,43) =hessp43;
hessp(:,:,44) =hessp44;
hessp(:,:,45) =hessp45;
hessp(:,:,46) =hessp46;
hessp(:,:,47) =hessp47;
%---------------------------------------------------------------------------
function tens3  = der3(t,kmrgd,A, a0, a1, a10, a11, a12, a2, a3, a5, a6, a7, a8, mu, a4, a9, B, b0, b1, b2, b3, b4, c0, c1, c3, c4, d0, d1, e0, e2, e3, e4, e5, e6, e7, f0, f1, f2, f3, g0, g1, g2, h0, h1, i0, j0, j1, mu_ika)
%---------------------------------------------------------------------------
function tens4  = der4(t,kmrgd,A, a0, a1, a10, a11, a12, a2, a3, a5, a6, a7, a8, mu, a4, a9, B, b0, b1, b2, b3, b4, c0, c1, c3, c4, d0, d1, e0, e2, e3, e4, e5, e6, e7, f0, f1, f2, f3, g0, g1, g2, h0, h1, i0, j0, j1, mu_ika)
%---------------------------------------------------------------------------
function tens5  = der5(t,kmrgd,A, a0, a1, a10, a11, a12, a2, a3, a5, a6, a7, a8, mu, a4, a9, B, b0, b1, b2, b3, b4, c0, c1, c3, c4, d0, d1, e0, e2, e3, e4, e5, e6, e7, f0, f1, f2, f3, g0, g1, g2, h0, h1, i0, j0, j1, mu_ika)
